<?php

class flow_meeting_roomClassModel extends flowModel
{

    // $ors当前单据操作信息，$crs提交过来的信息
    public function flowoptmenu($ors, $crs)
    {
        if ($ors['num'] == 'delnoup') {

        }
        return null;
    }

    //删除单据时调用
    public function flowdeletebill($sm) {
        m('meet_sys')->deleteMeetingRoom($this->rs);
    }

    //流程全部完成后调用
    public function flowcheckfinsh($sm) {
    }

    //提交时调用
    protected function flowsubmit($na, $sm){

        if ($this->id == null) {
            return ;
        }

        $meetingRoomInfo = $this->getone("id=$this->id","room_id");
        if ($meetingRoomInfo['room_id']) {
            return ;
        } else {
            // 第三方会议平台同步创建
            $res = m('meet_sys')->createMeetingRoom($this->id);
            $type = '3-创建会议室-创建第三方会议室';
            $remark = json_encode($res);
            m('log')->addlog($type, $remark);
        }

    }

}
